Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

SOLVED TrueNAS fails to install update to U2 saying package not found

cliftonz

Neophyte
Joined
Feb 18, 2021
Messages
8
I am currently getting this error when tring to update TrueNAS U1 to TrueNAS U2. The package that it is downloading persists between tries but will not go more then a percent when trying to update. I have also rebooted the server and the error persists.


Code:
Error: Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 361, in run
    await self.future
  File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 399, in __run_body
    rv = await self.middleware.run_in_thread(self.method, *([self] + args))
  File "/usr/local/lib/python3.8/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
    return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
  File "/usr/local/lib/python3.8/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 977, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/update.py", line 320, in download
    return self.middleware.call_sync('update.download_update', job, train, location, 100)
  File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1254, in call_sync
    return self.run_coroutine(methodobj(*prepared_call.args))
  File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1294, in run_coroutine
    return fut.result()
  File "/usr/local/lib/python3.8/concurrent/futures/_base.py", line 432, in result
    return self.__get_result()
  File "/usr/local/lib/python3.8/concurrent/futures/_base.py", line 388, in __get_result
    raise self._exception
  File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/update.py", line 324, in download_update
    success = await self.middleware.call('update.download_impl', *args)
  File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1238, in call
    return await self._call(
  File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1206, in _call
    return await self.run_in_executor(prepared_call.executor, methodobj, *prepared_call.args)
  File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1110, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
  File "/usr/local/lib/python3.8/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/update_/download_freebsd.py", line 30, in download_impl
    Update.DownloadUpdate(
  File "/usr/local/lib/freenasOS/Update.py", line 1106, in DownloadUpdate
    pkg_file = conf.FindPackageFile(
  File "/usr/local/lib/freenasOS/Configuration.py", line 1274, in FindPackageFile
    raise Exceptions.UpdatePackageNotFound(package.Name())
freenasOS.Exceptions.UpdatePackageNotFound: base-os


Here is the cli output:

Code:
root@freenas[~]# freenas-update check
Status: Downloading: base-os Progress:72 Size: 781489138 Rate: 41584 B/s
Total Progress: [#########_______________________________] 23.76%
Status: Downloading: base-os Progress:72 Size: 781489138 Rate: 41584 B/s
Total Progress: [#########_______________________________] 23.76%
Received exception during download phase, cannot update


If I could get some help on where to direct this or if I need to get more information, that would be great!
Thanks!

Specs:
root@freenas[~]# dmesg | grep CPU
CPU: Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz (3600.17-MHz K8-class CPU)
real memory = 17179869184 (16384 MB)
avail memory = 16050544640 (15306 MB)
pci0: <memory> at device 31.2 (no driver attached)
real memory = 17179869184 (16384 MB)
avail memory = 16050544640 (15306 MB)
pci0: <memory> at device 31.2 (no driver attached)
real memory = 17179
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
2,695
Something's wedged. Reboot, and try again.
 

cliftonz

Neophyte
Joined
Feb 18, 2021
Messages
8
I have rebooted and made sure to do a full shutdown of the system and the problem is still persisting.
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
2,695
You may have a corrupt download file(s) in /var/tmp/firmware. If so, try deleting them as root, and running the update again.
 

cliftonz

Neophyte
Joined
Feb 18, 2021
Messages
8
I do not have any files in that directory and the error is still persisting.
1613702720735.png

btw thanks for the help.
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
2,695
How about /var/db/system/update?
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
2,695
OK, delete everything in there, and try running the update again.
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
2,695
Have you tried doing this via the GUI instead of CLI? You may need to empty that directory beforehand.
 

cliftonz

Neophyte
Joined
Feb 18, 2021
Messages
8
Yes, I have been doing this via the GUI. When I do it via the cli with removing everything this is what I get. I also added the verbose flag. It is still the same error as far as I can tell.

Code:
root@freenas[/var/db/system/update]# freenas-update -v check
[freenasOS.Configuration:606] TryGetNetworkFile(['https://update-master.ixsystems.com/TrueNAS/TrueNAS-12.0-STABLE/LATEST'])
[urllib3.connectionpool:955] Starting new HTTPS connection (1): update-master.ixsystems.com:443
[urllib3.connectionpool:428] https://update-master.ixsystems.com:443 "GET /TrueNAS/TrueNAS-12.0-STABLE/LATEST HTTP/1.1" 200 1602
[freenasOS.Configuration:745] TryGetNetworkFile(['https://update-master.ixsystems.com/TrueNAS/TrueNAS-12.0-STABLE/LATEST']):  Read 1602 bytes total
[freenasOS.Configuration:606] TryGetNetworkFile(['https://update-master.ixsystems.com/updates/ix_crl.pem'])
[urllib3.connectionpool:955] Starting new HTTPS connection (1): update-master.ixsystems.com:443
[urllib3.connectionpool:428] https://update-master.ixsystems.com:443 "GET /updates/ix_crl.pem HTTP/1.1" 200 1028
[freenasOS.Configuration:77] CheckFreeSpace(path=/tmp/tmp7adnqxie.pem, pool=None, required=1028)
[freenasOS.Configuration:745] TryGetNetworkFile(['https://update-master.ixsystems.com/updates/ix_crl.pem']):  Read 1028 bytes total
[freenasOS.Configuration:606] TryGetNetworkFile(['https://update-master.ixsystems.com/updates/ix_crl.pem'])
[urllib3.connectionpool:955] Starting new HTTPS connection (1): update-master.ixsystems.com:443
[urllib3.connectionpool:428] https://update-master.ixsystems.com:443 "GET /updates/ix_crl.pem HTTP/1.1" 200 1028
[freenasOS.Configuration:77] CheckFreeSpace(path=/tmp/tmp1rndjsz1.pem, pool=None, required=1028)
[freenasOS.Configuration:745] TryGetNetworkFile(['https://update-master.ixsystems.com/updates/ix_crl.pem']):  Read 1028 bytes total
[freenasOS.Update:1691] Could not open sequence file in cache directory /var/db/system/update: [Errno 2] No such file or directory: '/var/db/system/update/SEQUENCE'
[freenasOS.Update:1009] Incomplete cache directory, will try continuing
[freenasOS.Update:1022] Going to try checking cached manifest /var/db/system/update/MANIFEST
[freenasOS.Update:1034] Going to try loading manifest file now
[freenasOS.Configuration:606] TryGetNetworkFile(['https://update-master.ixsystems.com/updates/ix_crl.pem'])
[urllib3.connectionpool:955] Starting new HTTPS connection (1): update-master.ixsystems.com:443
[urllib3.connectionpool:428] https://update-master.ixsystems.com:443 "GET /updates/ix_crl.pem HTTP/1.1" 200 1028
[freenasOS.Configuration:77] CheckFreeSpace(path=/tmp/tmp40ezgac1.pem, pool=None, required=1028)
[freenasOS.Configuration:745] TryGetNetworkFile(['https://update-master.ixsystems.com/updates/ix_crl.pem']):  Read 1028 bytes total
[freenasOS.Update:1036] Loaded manifest file
[freenasOS.Update:1037] Cached manifest file has sequence 6b79724ec0a074398af4bab89d1b3af4, latest_manfest has sequence 6b79724ec0a074398af4bab89d1b3af4
[freenasOS.Update:1084] DownloadUpdate:  diffs = {'Packages': [(<freenasOS.Package.Package object at 0x802e6ef70>, 'upgrade', <freenasOS.Package.Package objectat 0x802e44f70>), (<freenasOS.Package.Package object at 0x802e6e4f0>, 'upgrade', <freenasOS.Package.Package object at 0x802e44fa0>), (<freenasOS.Package.Package object at 0x802e6e5b0>, 'upgrade', <freenasOS.Package.Package object at 0x802e44eb0>)], 'Reboot': True, 'Sequence': ('764c3b0625e2dd9a62409cc2790a9747', '6b79724ec0a074398af4bab89d1b3af4')}
[freenasOS.Update:1095] DownloadUpdate:  Will upgrade package base-os
[freenasOS.Update:1095] DownloadUpdate:  Will upgrade package freebsd-pkgdb
[freenasOS.Update:1095] DownloadUpdate:  Will upgrade package freenas-pkg-tools
[freenasOS.Update:1098] Update does seem to require a reboot
[freenasOS.Configuration:1214] Searching for base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz
[freenasOS.Configuration:606] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz'])
[freenasOS.Configuration:647] File already exists, using a starting size of 3538944
[urllib3.connectionpool:955] Starting new HTTPS connection (1): update.ixsystems.com:443
[urllib3.connectionpool:428] https://update.ixsystems.com:443 "GET /TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz HTTP/1.1" 301 169
[urllib3.connectionpool:955] Starting new HTTPS connection (1): update.freenas.org:443
[urllib3.connectionpool:428] https://update.freenas.org:443 "GET /TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz HTTP/1.1" 206 777950194
[freenasOS.Configuration:77] CheckFreeSpace(path=/var/db/system/update/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz, pool=None, required=777950194)
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 4194304 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 5242880 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 6291456 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 7340032 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 8388608 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 9437184 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 10485760 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 11534336 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 12582912 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 13631488 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 14680064 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 15728640 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 16777216 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 17825792 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 18874368 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 19922944 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 20971520 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 22020096 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 23068672 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 24117248 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 25165824 bytes
[freenasOS.Configuration:749] TryGetNetworkFile(['https://update.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz', 'https://update-master.ixsystems.com/TrueNAS/Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz']):  Read 26214400 bytes
[freenasOS.Configuration:764] Got exception ('Connection broken: OSError("(54, \'ECONNRESET\')")', OSError("(54, 'ECONNRESET')"))
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/urllib3/contrib/pyopenssl.py", line 313, in recv_into
    return self.connection.recv_into(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/OpenSSL/SSL.py", line 1822, in recv_into
    self._raise_ssl_error(self._ssl, result)
  File "/usr/local/lib/python3.8/site-packages/OpenSSL/SSL.py", line 1622, in _raise_ssl_error
    raise WantReadError()
OpenSSL.SSL.WantReadError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/urllib3/contrib/pyopenssl.py", line 313, in recv_into
    return self.connection.recv_into(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/OpenSSL/SSL.py", line 1822, in recv_into
    self._raise_ssl_error(self._ssl, result)
  File "/usr/local/lib/python3.8/site-packages/OpenSSL/SSL.py", line 1622, in _raise_ssl_error
    raise WantReadError()
OpenSSL.SSL.WantReadError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/urllib3/contrib/pyopenssl.py", line 313, in recv_into
    return self.connection.recv_into(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/OpenSSL/SSL.py", line 1822, in recv_into
    self._raise_ssl_error(self._ssl, result)
  File "/usr/local/lib/python3.8/site-packages/OpenSSL/SSL.py", line 1639, in _raise_ssl_error
    raise SysCallError(errno, errorcode.get(errno))
OpenSSL.SSL.SysCallError: (54, 'ECONNRESET')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/urllib3/response.py", line 425, in _error_catcher
    yield
  File "/usr/local/lib/python3.8/site-packages/urllib3/response.py", line 507, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "/usr/local/lib/python3.8/http/client.py", line 458, in read
    n = self.readinto(b)
  File "/usr/local/lib/python3.8/http/client.py", line 502, in readinto
    n = self.fp.readinto(b)
  File "/usr/local/lib/python3.8/socket.py", line 669, in readinto
    return self._sock.recv_into(b)
  File "/usr/local/lib/python3.8/site-packages/urllib3/contrib/pyopenssl.py", line 328, in recv_into
    return self.recv_into(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/urllib3/contrib/pyopenssl.py", line 328, in recv_into
    return self.recv_into(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/urllib3/contrib/pyopenssl.py", line 318, in recv_into
    raise SocketError(str(e))
OSError: (54, 'ECONNRESET')

During handling of the above exception, another exception occurred:
OSError: (54, 'ECONNRESET')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/freenasOS/Configuration.py", line 737, in TryGetNetworkFile
    data = furl.raw.read(chunk_size)
  File "/usr/local/lib/python3.8/site-packages/urllib3/response.py", line 529, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "/usr/local/lib/python3.8/contextlib.py", line 131, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.8/site-packages/urllib3/response.py", line 443, in _error_catcher
    raise ProtocolError("Connection broken: %r" % e, e)
urllib3.exceptions.ProtocolError: ('Connection broken: OSError("(54, \'ECONNRESET\')")', OSError("(54, 'ECONNRESET')"))
[freenasOS.Configuration:1251] Trying to get Packages/base-os-12.0-U2-6b79724ec0a074398af4bab89d1b3af4.tgz, got exception ('Connection broken: OSError("(54, \'ECONNRESET\')")', OSError("(54, 'ECONNRESET')")), continuing
[freenas-update:195] base-os
Traceback (most recent call last):
  File "/usr/local/bin/freenas-update", line 169, in DoDownload
    rv = Update.DownloadUpdate(train, cache_dir, pkg_type=pkg_type, ignore_space=ignore_space)
  File "/usr/local/lib/freenasOS/Update.py", line 1106, in DownloadUpdate
    pkg_file = conf.FindPackageFile(
  File "/usr/local/lib/freenasOS/Configuration.py", line 1274, in FindPackageFile
    raise Exceptions.UpdatePackageNotFound(package.Name())
freenasOS.Exceptions.UpdatePackageNotFound: base-os
Received exception during download phase, cannot update
 

Attachments

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
2,695
Thanks, that debug was helpful. It appears your system is cutting off the download 25MB into the base-os package. Where's your system dataset located? See System->System Dataset. Is this on your boot pool or your main ZFS pool?
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
2,695

cliftonz

Neophyte
Joined
Feb 18, 2021
Messages
8
I am downloading it manually now. My system dataset is in the default pool not the freenas-boot pool.
Also I do not have virus scanning on my network and I do not think the ISP (AT&T) has virus scanning enabled but I am not sure.
I am also noticing that as I try to download the file manually it has been doing the same thing as the freenas, failing after ~25mb.
I think this may either be a connection or server issue.
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
2,695
It's not a server issue; that download link uses the Akamai distribution network. This sounds like something with your ISP connection.
 

cliftonz

Neophyte
Joined
Feb 18, 2021
Messages
8
Thanks, I switch to a different connection and the update worked.

Thanks for you help on this!
 
Top